package com.yh.saas.plugin.news.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.news.entity.AnnoIssueInfo;

import java.util.List;

/**
 * <p>
 * 公告详情 - 业务Mapper
 * </p>
 *
 * @Auther ZhangMingYu
 * @since 2019年8月14日15:52:07
 */
public interface NewsAnnoIssueInfoMapper extends BaseMapper<AnnoIssueInfo> {

    List<AnnoIssueInfo> queryPage(AnnoIssueInfo annoIssueInfo, Page<AnnoIssueInfo> annoIssueInfoPage);

    List<AnnoIssueInfo> queryPage(AnnoIssueInfo annoIssueInfo);

    void remove(String id);

    /**
     * 根据条件查询阅读总数
     *
     * @return
     */
    Integer getCountByCondition(String id);
}
